Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic.theme
Class SkyBluerTahoma

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.looks.plastic.PlasticTheme
                  com.jgoodies.looks.plastic.theme.SkyBluer
                      com.jgoodies.looks.plastic.theme.SkyBluerTahoma

Direct Known Subclasses:
  AbstractSkyTheme, DesertBluer

public class SkyBluerTahoma
extends SkyBluer

Unlike its superclass `SkyBluer`, this theme tries to lookup and use the MS Tahoma font.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, controlFont, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, smallFont, systemFont, titleFont, userFont, WHITE`

Constructor Summary
`SkyBluerTahoma()`

Method Summary
`protected Font` | `getFont0()`
`protected Font` | `getFont0(int size)`
`String` | `getName()`
`FontUIResource` | `getSubTextFont()`
`FontUIResource` | `getSystemTextFont()`
`FontUIResource` | `getUserTextFont()`

Methods inherited from class com.jgoodies.looks.plastic.theme.SkyBluer
`addCustomEntriesToTable, getFocusColor, getMenuItemSelectedBackground, getMenuItemSelectedForeground, getMenuSelectedBackground, getPrimary1, getPrimary2, getPrimary3, getSecondary1, getSecondary2, getSecondary3`

Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme
`equals, getBlack, getControlTextFont, getFont, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSystemTextColor, getTitleTextColor, getTitleTextFont, getToggleButtonCheckColor, getWhite, getWindowTitleFont, hashCode`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkyBluerTahoma

    public SkyBluerTahoma()

Method Detail

### getName

    public String getName()

  Overrides:
    `getName` in class `SkyBluer`

### getFont0

    protected Font getFont0()

  Overrides:
    `getFont0` in class `PlasticTheme`

### getFont0

    protected Font getFont0(int size)

### getSubTextFont

    public FontUIResource getSubTextFont()

  Overrides:
    `getSubTextFont` in class `PlasticTheme`

### getSystemTextFont

    public FontUIResource getSystemTextFont()

  Overrides:
    `getSystemTextFont` in class `PlasticTheme`

### getUserTextFont

    public FontUIResource getUserTextFont()

  Overrides:
    `getUserTextFont` in class `PlasticTheme`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 JGoodies Karsten Lentzsch. All Rights Reserved.